Subject: bug#7269: bug #7269: 24.0.50; opening a file via emacsclient -c <file> moves the mouse cursor to, the top left of the frames buffer.

From: Lennart Borgman <[email-masked]>
Date: Sat, 13 Nov 2010 22:52:08 +0100

On Sat, Nov 13, 2010 at 10:40 PM, Alain Knaff <[email-masked]> wrote:
> On 11/13/2010 10:31 PM, Lennart Borgman wrote:
> [...]
>> As I said I know of no exception on w32. All applications I can think
>> of right now grabs focus when you call them from the command line (or
>> from Windows Explorer).
>
> Ok, but if I really liked this braindead behavior, I'd actually use
> Windows, rather than Linux. And I'd probably use Notepad too rather than
> Emacs :-)

Why is it good that the newly started program does not get focus?

> Maybe, in emacs this behavior could be made conditional on running on
> Windows?

Yes. Or the window manager if that is better (and possible).

>> Maybe this is dependent on the window manager used?
>
> I use KDE.
>
> I don't believe this is a window manager issue... if that was the case,
> wouldn't all applications behave the same way?

No. There are some extra difficulties since Emacs uses a server which
emacsclients connects to.

>> What happens if you launch a program from the command line without a
>> file name argument? Does the application get focus?
>
> No, of course not.

Thanks.

> And this has been the case with other Window managers as well, even
> before KDE. Even in mwm, twm, fvwm, applications didn't steal focus
> willy-nilly. I don't know for sure about Gnome, I don't use Gnome very
> often, but I guess I would have noticed if this was the case...